import tempfile
from pathlib import Path

import requests


def download(
    url: str,
    destination_folder: Path = Path(tempfile.mkdtemp()),
    file_name: str = "file.pdf",
) -> Path:
    response = requests.get(url)
    response.raise_for_status()

    output_file = destination_folder / file_name
    output_file.write_bytes(response.content)

    return output_file
